tell application "Safari"
	set current_documents to documents
	set current_document to item 1 of current_documents
	set current_url to URL of current_document
	set current_content to my get_safari_selection()
	set current_title to my get_safari_title()
end tell

set _TempFile1 to ((path to temporary items folder) & "iGTDsafariUrl.txt") as text
set _TempFile2 to ((path to temporary items folder) & "iGTDsafariSelection.txt") as text
set _TempFile3 to ((path to temporary items folder) & "iGTDsafariTitle.txt") as text

try
	close access file _TempFile1
end try
try
	close access file _TempFile2
end try
try
	close access file _TempFile3
end try

open for access file _TempFile1 with write permission
set eof file _TempFile1 to 0 -- clear the file contents
write current_url to file _TempFile1
close access file _TempFile1

open for access file _TempFile2 with write permission
set eof file _TempFile2 to 0 -- clear the file contents
write current_content to file _TempFile2
close access file _TempFile2

open for access file _TempFile3 with write permission
set eof file _TempFile3 to 0 -- clear the file contents
write current_title to file _TempFile3
close access file _TempFile3


on get_safari_selection()
	
	set getSelection to "
var theSel = '';
if (getSelection) {
    theSel = getSelection();
} else if (document.getSelection) {
    theSel = document.getSelection();
} else if (document.selection) {
    theSel = document.selection.createRange().text;
} else if (window.getSelection) {
    theSel = window.getSelection();
}
'' + theSel;
"
	tell application "Safari" to return (do JavaScript getSelection in document 1) as Unicode text
	
end get_safari_selection



on get_safari_title()
	
	set getTitle to "
var theTitle = '';
theTitle = document.title;
'' + theTitle;
"
	tell application "Safari" to return (do JavaScript getTitle in document 1) as Unicode text
	
end get_safari_title
